Subject: bug#47408: Etags support for Mercury [v0.5]

From: Fabrice Nicol <[email-masked]>
Date: Tue, 8 Jun 2021 02:38:12 +0200

There is something to be fixed if this is the expected output, as ctags
invocation dose not work for Mercury files. I have not looked into the
issue yet but the fix should be quite small.

Le mar. 8 juin 2021 à 2:05 AM, Eli Zaretskii <[email-masked]> a écrit :

> > Cc: [email-masked], Eli Zaretskii <[email-masked]>
> > From: fabrice nicol <[email-masked]>
> > Date: Sun, 6 Jun 2021 22:49:19 +0200
> >
> > > That's difficult to tell for me.  However, etags provides ctags support
> > > for all languages it knows about.  I may be missing something, but I
> > > think Mercury would be the first exception.  If that's the case, maybe
> > > it would be worth  adding a comment telling so.
> >
> > ctags only differs from etags by the fact that its output is
> > Vim-compatible. But it so happens that Mercury has superior in-built
> > support for Vim tagging (the core team use Vim). So ctags would not
> > actually be used by users with Vim-compatibility requirements, they
> > would just use Mercury tagging on Vim.
>
> What do we lose if we make Mercury support active in ctags mode?  Do
> we even need to add any code for that?
>